<?php
/**
 * @file
 * group_mind_q_a.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function group_mind_q_a_views_default_views() {
    $export = array();
    $view = new view();
    $view->name = 'gm_qa';
    $view->description = '';
    $view->tag = 'default';
    $view->base_table = 'node';
    $view->human_name = 'Group mind Q&A';
    $view->core = 7;
    $view->api_version = '3.0';
    $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
    
    /* Display: Master */
    $handler = $view->new_display('default', 'Master', 'default');
    $handler->display->display_options['title'] = 'Group mind Q&A';
    $handler->display->display_options['use_more_always'] = FALSE;
    $handler->display->display_options['access']['type'] = 'perm';
    $handler->display->display_options['cache']['type'] = 'none';
    $handler->display->display_options['query']['type'] = 'views_query';
    $handler->display->display_options['exposed_form']['type'] = 'basic';
    $handler->display->display_options['pager']['type'] = 'some';
    $handler->display->display_options['pager']['options']['items_per_page'] = '5';
    $handler->display->display_options['style_plugin'] = 'list';
    $handler->display->display_options['style_options']['default_row_class'] = FALSE;
    $handler->display->display_options['style_options']['row_class_special'] = FALSE;
    $handler->display->display_options['style_options']['wrapper_class'] = '';
    $handler->display->display_options['row_plugin'] = 'fields';
    $handler->display->display_options['row_options']['inline'] = array(
      'title' => 'title',
      'totalcount' => 'totalcount',
    );
    $handler->display->display_options['row_options']['separator'] = ' - ';
    /* Field: Content: Title */
    $handler->display->display_options['fields']['title']['id'] = 'title';
    $handler->display->display_options['fields']['title']['table'] = 'node';
    $handler->display->display_options['fields']['title']['field'] = 'title';
    $handler->display->display_options['fields']['title']['label'] = '';
    $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
    $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
    /* Sort criterion: Content statistics: Total views */
    $handler->display->display_options['sorts']['totalcount']['id'] = 'totalcount';
    $handler->display->display_options['sorts']['totalcount']['table'] = 'node_counter';
    $handler->display->display_options['sorts']['totalcount']['field'] = 'totalcount';
    $handler->display->display_options['sorts']['totalcount']['order'] = 'DESC';
    /* Filter criterion: Content: Published */
    $handler->display->display_options['filters']['status']['id'] = 'status';
    $handler->display->display_options['filters']['status']['table'] = 'node';
    $handler->display->display_options['filters']['status']['field'] = 'status';
    $handler->display->display_options['filters']['status']['value'] = 1;
    $handler->display->display_options['filters']['status']['group'] = 1;
    $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
    /* Filter criterion: Content: Type */
    $handler->display->display_options['filters']['type']['id'] = 'type';
    $handler->display->display_options['filters']['type']['table'] = 'node';
    $handler->display->display_options['filters']['type']['field'] = 'type';
    $handler->display->display_options['filters']['type']['value'] = array(
      'answers_question' => 'answers_question',
    );
    
    /* Display: Latest */
    $handler = $view->new_display('block', 'Latest', 'latest');
    $handler->display->display_options['defaults']['style_plugin'] = FALSE;
    $handler->display->display_options['style_plugin'] = 'list';
    $handler->display->display_options['style_options']['default_row_class'] = FALSE;
    $handler->display->display_options['style_options']['row_class_special'] = FALSE;
    $handler->display->display_options['style_options']['wrapper_class'] = '';
    $handler->display->display_options['defaults']['style_options'] = FALSE;
    $handler->display->display_options['defaults']['row_plugin'] = FALSE;
    $handler->display->display_options['row_plugin'] = 'fields';
    $handler->display->display_options['row_options']['inline'] = array(
      'title' => 'title',
      'created' => 'created',
    );
    $handler->display->display_options['row_options']['separator'] = ' - ';
    $handler->display->display_options['defaults']['row_options'] = FALSE;
    $handler->display->display_options['defaults']['fields'] = FALSE;
    /* Field: Content: Title */
    $handler->display->display_options['fields']['title']['id'] = 'title';
    $handler->display->display_options['fields']['title']['table'] = 'node';
    $handler->display->display_options['fields']['title']['field'] = 'title';
    $handler->display->display_options['fields']['title']['label'] = '';
    $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
    $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
    /* Field: Content: Post date */
    $handler->display->display_options['fields']['created']['id'] = 'created';
    $handler->display->display_options['fields']['created']['table'] = 'node';
    $handler->display->display_options['fields']['created']['field'] = 'created';
    $handler->display->display_options['fields']['created']['label'] = '';
    $handler->display->display_options['fields']['created']['element_label_colon'] = FALSE;
    $handler->display->display_options['fields']['created']['date_format'] = 'raw time ago';
    $handler->display->display_options['fields']['created']['second_date_format'] = 'long';
    $handler->display->display_options['defaults']['sorts'] = FALSE;
    /* Sort criterion: Content: Post date */
    $handler->display->display_options['sorts']['created']['id'] = 'created';
    $handler->display->display_options['sorts']['created']['table'] = 'node';
    $handler->display->display_options['sorts']['created']['field'] = 'created';
    $handler->display->display_options['sorts']['created']['order'] = 'DESC';
    $handler->display->display_options['block_description'] = 'Latest questions';
    
    /* Display: Unanswered */
    $handler = $view->new_display('block', 'Unanswered', 'unanswer');
    $handler->display->display_options['defaults']['group_by'] = FALSE;
    $handler->display->display_options['group_by'] = TRUE;
    $handler->display->display_options['defaults']['relationships'] = FALSE;
    /* Relationship: Entity Reference: Referencing entity */
    $handler->display->display_options['relationships']['reverse_answers_related_question_node']['id'] = 'reverse_answers_related_question_node';
    $handler->display->display_options['relationships']['reverse_answers_related_question_node']['table'] = 'node';
    $handler->display->display_options['relationships']['reverse_answers_related_question_node']['field'] = 'reverse_answers_related_question_node';
    $handler->display->display_options['relationships']['reverse_answers_related_question_node']['label'] = 'Answers';
    $handler->display->display_options['defaults']['fields'] = FALSE;
    /* Field: Content: Title */
    $handler->display->display_options['fields']['title']['id'] = 'title';
    $handler->display->display_options['fields']['title']['table'] = 'node';
    $handler->display->display_options['fields']['title']['field'] = 'title';
    $handler->display->display_options['fields']['title']['label'] = '';
    $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
    $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
    $handler->display->display_options['defaults']['sorts'] = FALSE;
    /* Sort criterion: Global: Random */
    $handler->display->display_options['sorts']['random']['id'] = 'random';
    $handler->display->display_options['sorts']['random']['table'] = 'views';
    $handler->display->display_options['sorts']['random']['field'] = 'random';
    $handler->display->display_options['defaults']['filter_groups'] = FALSE;
    $handler->display->display_options['defaults']['filters'] = FALSE;
    /* Filter criterion: Content: Published */
    $handler->display->display_options['filters']['status']['id'] = 'status';
    $handler->display->display_options['filters']['status']['table'] = 'node';
    $handler->display->display_options['filters']['status']['field'] = 'status';
    $handler->display->display_options['filters']['status']['value'] = 1;
    $handler->display->display_options['filters']['status']['group'] = 1;
    $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
    /* Filter criterion: Content: Type */
    $handler->display->display_options['filters']['type']['id'] = 'type';
    $handler->display->display_options['filters']['type']['table'] = 'node';
    $handler->display->display_options['filters']['type']['field'] = 'type';
    $handler->display->display_options['filters']['type']['value'] = array(
      'answers_question' => 'answers_question',
    );
    /* Filter criterion: Content: Nid */
    $handler->display->display_options['filters']['nid']['id'] = 'nid';
    $handler->display->display_options['filters']['nid']['table'] = 'node';
    $handler->display->display_options['filters']['nid']['field'] = 'nid';
    $handler->display->display_options['filters']['nid']['relationship'] = 'reverse_answers_related_question_node';
    $handler->display->display_options['filters']['nid']['group_type'] = 'count';
    $handler->display->display_options['filters']['nid']['value']['value'] = '0';
    $handler->display->display_options['block_description'] = 'Unanswered questions';
    
    /* Display: Popular */
    $handler = $view->new_display('block', 'Popular', 'popular');
    $handler->display->display_options['defaults']['style_plugin'] = FALSE;
    $handler->display->display_options['style_plugin'] = 'list';
    $handler->display->display_options['style_options']['default_row_class'] = FALSE;
    $handler->display->display_options['style_options']['row_class_special'] = FALSE;
    $handler->display->display_options['style_options']['type'] = 'ol';
    $handler->display->display_options['style_options']['wrapper_class'] = '';
    $handler->display->display_options['defaults']['style_options'] = FALSE;
    $handler->display->display_options['defaults']['row_plugin'] = FALSE;
    $handler->display->display_options['row_plugin'] = 'fields';
    $handler->display->display_options['row_options']['inline'] = array(
      'title' => 'title',
      'totalcount' => 'totalcount',
    );
    $handler->display->display_options['row_options']['separator'] = ' - ';
    $handler->display->display_options['defaults']['row_options'] = FALSE;
    $handler->display->display_options['defaults']['fields'] = FALSE;
    /* Field: Content: Title */
    $handler->display->display_options['fields']['title']['id'] = 'title';
    $handler->display->display_options['fields']['title']['table'] = 'node';
    $handler->display->display_options['fields']['title']['field'] = 'title';
    $handler->display->display_options['fields']['title']['label'] = '';
    $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
    $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
    /* Field: Content statistics: Total views */
    $handler->display->display_options['fields']['totalcount']['id'] = 'totalcount';
    $handler->display->display_options['fields']['totalcount']['table'] = 'node_counter';
    $handler->display->display_options['fields']['totalcount']['field'] = 'totalcount';
    $handler->display->display_options['fields']['totalcount']['label'] = '';
    $handler->display->display_options['fields']['totalcount']['alter']['alter_text'] = TRUE;
    $handler->display->display_options['fields']['totalcount']['alter']['text'] = '[totalcount] reads';
    $handler->display->display_options['fields']['totalcount']['element_label_colon'] = FALSE;
    $handler->display->display_options['defaults']['sorts'] = FALSE;
    /* Sort criterion: Content statistics: Total views */
    $handler->display->display_options['sorts']['totalcount']['id'] = 'totalcount';
    $handler->display->display_options['sorts']['totalcount']['table'] = 'node_counter';
    $handler->display->display_options['sorts']['totalcount']['field'] = 'totalcount';
    $handler->display->display_options['sorts']['totalcount']['order'] = 'DESC';
    $handler->display->display_options['block_description'] = 'Popular questions';
    
    $export['group_mind_q_a'] = $view;
    
    return $export;

}